/* 
 * use career detail page class to overwrite some bootstrap styles & variables etc.
*/

.career-detail-page {
	--semantic-brand-50: #fff5f5;
	--semantic-brand-500: #e40505;
	--semantic-neutral-900: rgba(24, 24, 27, 0.6);
	--semantic-neutral-800: #27272a;
	--semantic-neutral-600: #52525b;
	--semantic-neutral-200: #e4e4e7;
	--semantic-neutral-50: #fafafa;
	--semantic-neutral-0: #fff;
	--semantic-sky-800: #075985;
	--semantic-sky-600: #0284c7;
	--sky-700: #0369a1;
	--blue-50: #eff6ff;
	--text-placeholder: #71717a;
	--border-border-primary: #d4d4d8;
	--icons-icon-secondary: #27272a;
}

.career-detail-page p,
h1,
h2,
h3,
h4,
ol,
ul {
	margin: 0;
}

.career-detail-info {
	padding: 1.5rem 1.25rem;
}

.cdi-ctr {
	max-width: 1050px;
	margin: 0 auto;
}

.cdi-wrapper {
	display: flex;
	flex-direction: column;
	gap: 24px;
}

.cdi-back {
	margin-block-end: 1.5rem;
	display: flex;
	align-items: center;
	gap: 3px;
	color: var(--semantic-neutral-800);
	font-size: 0.9375rem;
	font-weight: 600;
	line-height: 150%;
}

.career-detail-content {
	padding: 1.25rem;
	border-radius: 12px;
	border: 1px solid var(--semantic-neutral-200);
	background: var(--semantic-neutral-50);
	position: relative;
}

.career-detail-content.hidden {
	max-height: 265px;
	background: linear-gradient(0deg, var(--semantic-neutral-900) 0%, rgba(0, 0, 0, 0) 100%);
	backdrop-filter: blur(2.700000047683716px);
	overflow: hidden;
}

.cdc-top {
	margin-block-end: 18px;
	display: flex;
	align-items: flex-start;
	gap: 18px;
}

.cdc-top-right {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 4px;
}

.cdc-icon-ctr {
	border-radius: 12px;
	background: var(--semantic-neutral-0);
	padding: 10px;
}

.cdc-top-text {
	color: var(--semantic-neutral-500);
	font-size: 1.0625rem;
	font-weight: 500;
	line-height: 150%;
}

.cdc-top-title {
	color: var(--semantic-neutral-600);
	font-size: 1.5rem;
	font-weight: 600;
	line-height: 133%;
}

.cdc-top-time {
	display: flex;
	align-items: center;
	gap: 4px;
}

.cdc-btn.cdc-share-btn {
	margin-block-start: 18px;
	color: var(--sky-700);
}

.cdc-description {
	margin-block-end: 1rem;
	display: flex;
	flex-direction: column;
	gap: 1rem;
	color: var(--semantic-neutral-600);
	font-size: 0.8125rem;
	line-height: 154%;
}

.cdc-location-title,
.cdc-description h2,
h3,
h4 {
	color: var(--semantic-neutral-600);
	font-size: 0.9375rem;
	font-weight: 600;
	line-height: 150%;
}

.cdc-location {
	margin-block-end: 1rem;
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.cdc-btn {
	display: flex;
	padding: 14px 20px;
	justify-content: center;
	align-items: center;
	gap: 8px;
	border-radius: 8px;
	-webkit-font-smoothing: inherit;
	-moz-osx-font-smoothing: inherit;
	-webkit-appearance: none;
	cursor: pointer;
	font: inherit;
	background: transparent;
	border: none;
	color: inherit;
	font-size: 0.9375rem;
	font-weight: 500;
	line-height: 150%;
}

.cdc-btn:hover {
	opacity: 0.9;
}

.cdc-btn:focus {
	outline: none;
}

.cdc-btn.btn-sky {
	background: var(--semantic-sky-800);
	color: var(--semantic-neutral-0);
}

.cdc-btn.hidden-detail {
	color: var(--sky-700);
	width: 100%;
}

.cdc-btn.show-detail {
	color: var(--blue-50);
	position: absolute;
	bottom: 20px;
	transform: translateX(-50%);
	left: 50%;
	white-space: nowrap;
}
.cdc-btn.show-detail.hidden {
	display: none;
}

.career-detail-form {
	display: flex;
	padding: 20px;
	flex-direction: column;
	gap: 24px;
	border-radius: 12px;
	border: 1px solid var(--semantic-neutral-200);
	background: linear-gradient(0deg, #fff 53.45%, var(--semantic-brand-50) 100%);
}

.cdf-title {
	display: flex;
	align-items: center;
	gap: 12px;
	color: var(--semantic-brand-500);
	font-size: 1.0625rem;
	font-weight: 600;
	line-height: 150%;
}

.cdf-fields {
	display: grid;
	grid-template-columns: repeat(2, minmax(0, 1fr));
	column-gap: 1.25rem;
	row-gap: 1rem;
}

.cdf-consent {
	display: grid;
	gap: 1.5rem;
}

.cdf-fields .spanned {
	grid-column-start: span 2;
}

.cdf-required-sign {
	color: var(--semantic-brand-500);
}

.cdf-file label.form-label {
	text-align: center;
	margin-block-end: 0;
	border-radius: 12px;
	border: 1px dashed var(--semantic-neutral-400, #a1a1aa);
	display: flex;
	padding: 20px;
	flex-direction: column;
	align-items: center;
	gap: 13px;
	cursor: pointer;
}

.cdf-file input[type="file"] {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}

.cdf-file-title {
	color: var(--semantic-sky-600);
	font-size: 1.25rem;
	font-weight: 500;
	line-height: 150%;
}

.career-detail-map {
	width: 100%;
	border-radius: 12px;
}

/* 
* Overwrite bootstrap form elements
*/
.career-detail-form .form-control::placeholder,
.form-select:invalid,
.form-label,
.form-check-label {
	font-weight: 400;
	font-size: 0.9375rem;
	line-height: 150%;
	opacity: 1;
}

.career-detail-form .form-control::placeholder {
	color: var(--text-placeholder);
}

.career-detail-form .form-select:invalid {
	color: var(--text-placeholder);
}

.career-detail-form .form-label {
	color: var(--semantic-neutral-600);
	margin-block-end: 0.75rem;
}

.career-detail-form .form-control,
.form-select {
	--bs-border-radius: 0.5rem;
	--bs-border-color: var(--border-border-primary);
	padding: 13px 16px;
}

.career-detail-form .form-check {
	margin-bottom: 0;
}

.career-detail-form .form-check .invalid-feedback {
	margin-inline-start: 0.75rem;
}

.career-detail-form .form-check-label {
	margin-inline-start: 0.75rem;
}

.career-detail-form .form-check-label a {
	color: var(--semantic-sky-600);
}
.career-detail-form .form-check-input {
	--bs-border-color: var(--border-border-primary);
	border-radius: 6px;
	width: 1.25rem;
	height: 1.25rem;
	margin-top: 2px;
}
.career-detail-form .form-check-input:checked {
	background-color: var(--semantic-brand-500);
}
.cdc-btn.btn-black {
	background: var(--icons-icon-secondary);
	color: var(--semantic-neutral-0);
}

/*
 * Desktop Screen
*/

@media (min-width: 992px) {
	.career-detail-info {
		padding-inline: 3.75rem;
	}

	.cdi-wrapper {
		flex-direction: row;
		gap: 20px;
	}

	.career-detail-content {
		flex: 1 1 650px;
		display: flex;
		align-items: flex-start;
		gap: 24px;
	}

	.career-detail-content.hidden {
		max-height: initial;
		background: var(--semantic-neutral-50);
	}

	.cdc-btn.show-detail,
	.cdc-btn.hidden-detail {
		display: none;
	}

	.career-detail-form {
		flex: 1 1 380px;
	}

	.cdc-description {
		font-size: 1.0625rem;
		line-height: 150%;
	}

	.cdc-location-title,
	.cdc-description h2,
	h3,
	h4 {
		font-size: 1.25rem;
		font-weight: 700;
	}
}
